Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MapListenerSupport::FilterEvent Class Reference

`#include <coherence/util/MapListenerSupport.hpp>`

Inherits CacheEvent.

List of all members.

## Detailed Description

An extension of the CacheEvent which may carry no values (old or new), but instead holds an array of Filter objects being the "cause" of the event.

## Public Types
typedef spec::Handle | Handle
| FilterEvent Handle definition.
typedef spec::View | View
| FilterEvent View definition.
typedef spec::Holder | Holder
| FilterEvent Holder definition.
## Public Member Functions
virtual ObjectArray::View | getFilter () const
| Return an array of filters that are the cause of this event.
virtual void | outputDescription (std::ostream &out) const
  | Output a human-readable description of the state of this class in the form of a delimited list of name-value pairs. Generally it is also advisable to start with a call to super::outputDescription(out) The default implementation does not output anything to the stream. Parameters:
  | out | the stream to output the description to
virtual bool | containsFilter (Filter::View vFilter) const
| Determine if this filter event contains a specified filter.
## Protected Member Functions
| FilterEvent (ObservableMap::Handle hMap, int32_t nId, Object::View vKey, Object::View vValueOld, Object::View vValueNew, bool fSynthetic, ObjectArray::Handle haFilters)
| Create a new FilterEvent with no old and new values.
## Protected Attributes
MemberHandle < ObjectArray > | m_haFilters
| Filters which caused the event.

## Constructor & Destructor Documentation

FilterEvent | ( | ObservableMap::Handle | hMap,
|  | int32_t | nId,
|  | Object::View | vKey,
|  | Object::View | vValueOld,
|  | Object::View | vValueNew,
|  | bool | fSynthetic,
|  | ObjectArray::Handle | haFilters |
| ) |  |  | `[protected]`

Create a new FilterEvent with no old and new values.

Parameters:

  | hMap | the map on which the Event initially occurred
  | nId | the events id (ENTRY_INSERTED | ENTRY_UPDATED | ENTRY_DELETED)
  | vKey | the key into the map
  | fSynthetic | true iff the event is caused by internal cache processing such as eviction or loading
  | haFilters | an array of Filters

## Member Function Documentation

virtual ObjectArray::View getFilter | ( |  | ) | const `[virtual]`

Return an array of filters that are the cause of this event.

Returns:
  an array of filters

virtual bool containsFilter | ( | Filter::View | vFilter | ) | const `[virtual]`

Determine if this filter event contains a specified filter.

Parameters:

  | vFilter | the filter to search for

Returns:
  true if the event contained the specified filter, false otherwise

The documentation for this class was generated from the following file:

- coherence/util/MapListenerSupport.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.